/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

#define STRING_HANDLEBAR_KEY_MAXLENGTH 32

/** Representation of a String Handlebar Variable */
typedef struct {
  /** The key to use to replace in the source */
  char *key;
  /** The value to replace it with */
  char *value;
} stringhandlebarvariable_t;